Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class GammaProcessPCASymmetricalBridge

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.GammaProcess
              umontreal.iro.lecuyer.stochprocess.GammaProcessPCA
                  umontreal.iro.lecuyer.stochprocess.GammaProcessPCABridge
                      umontreal.iro.lecuyer.stochprocess.GammaProcessPCASymmetricalBridge

    public class GammaProcessPCASymmetricalBridge

extends GammaProcessPCABridge

Same as `GammaProcessPCABridge`, but uses the fast inversion method for the symmetrical beta distribution, proposed by L'Ecuyer and Simard, to accelerate the generation of the beta random variables. This class works only in the case where the number of intervals is a power of 2 and all these intervals are of equal size.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`GammaProcessPCASymmetricalBridge(double s0, double mu, double nu, RandomStream stream)` .

Method Summary
`double[]` | `generatePath()` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.
`double[]` | `generatePath(double[] uniform01)` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.GammaProcessPCABridge
`getBMPCA, setObservationTimes, setParams`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.GammaProcessPCA
`nextObservation, nextObservation, setStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.GammaProcess
`getMu, getNu, getStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, resetStartProcess, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GammaProcessPCASymmetricalBridge

    public GammaProcessPCASymmetricalBridge(double s0,
                                            double mu,
                                            double nu,
                                            RandomStream stream)

  . Constructs a new `GammaProcessPCASymmetricalBridge` with parameters μ = , ν = and initial value S(t0) = . The `RandomStream` `stream` is used in the `GammaGen` and in the `BetaSymmetricalGen`. These two generators use inversion to generate random numbers. The first uniform random number generated by `stream` is used for the gamma, and the other d - 1 for the beta's.

Method Detail

### generatePath

    public double[] generatePath(double[] uniform01)

  Description copied from class: `GammaProcess`
  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. This method does not use the `RandomStream` `stream` nor the `GammaGen` `Ggen`. It uses the vector of uniform random numbers U(0, 1) provided by the user and generates the path by inversion. The vector `uniform01` must be of dimension d.

  Overrides:
    `generatePath` in class `GammaProcessPCABridge`

### generatePath

    public double[] generatePath()

  Description copied from class: `GammaProcess`
  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. The gamma variates X in are generated using the `RandomStream` `stream` or the `RandomStream` included in the `GammaGen` `Ggen`.

  Overrides:
    `generatePath` in class `GammaProcessPCABridge`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.